// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "VNEvent.hpp"

namespace Dawn {
  class VNTextEvent : public VNEvent {
    public:
      std::string text;

    protected:
      void onStart() override {
        std::cout << "TEXT: " << text << std::endl;
      }
  };
}